SUBDIRS	= data kdetvvideo

# Main Library
lib_LTLIBRARIES = libkdetv.la

.PHONY:		tests

tests:
	$(MAKE) -C tests tests

#
# Library
#
libkdetv_la_SOURCES =	cfgdata.cpp  channel.cpp  channelstore.cpp \
						channelio.cpp kdetv.cpp \
						chwizard.ui generalwidget.ui generalwidgetimpl.cpp \
						settingsdialogpage.cpp \
						channelwidget.ui lirc.cpp \
						pluginwidget.ui pluginwidgetimpl.cpp \
						channelwidgetimpl.cpp kdetvmiscplugin.cpp \
						settingsdialog.cpp \
						soundwidget.ui soundwidgetimpl.cpp \
						videowidget.ui videowidgetimpl.cpp \
						filterwidget.ui filterwidgetimpl.cpp \
						kdetvvbiplugin.cpp kdetvfilterplugin.cpp \
						channelscanner.cpp channelimporter.cpp finetuningdlg.ui \
						channeleditor.cpp kdetvmixerplugin.cpp \
						kdetviface.skel kdetvwidget.cpp \
						viewmanager.cpp vbimanager.cpp filtermanager.cpp \
						kdetvview.cpp pluginfactory.cpp pluginconfigwidget.ui \
						kdetvsrcplugin.cpp audiomanager.cpp sourcemanager.cpp \
						kdetvosdplugin.cpp osdmanager.cpp miscmanager.cpp \
						channelpropertiesdialog.ui channelpropertiesdialogimpl.cpp \
			 			channelimportdlg.ui channelimportdlgimpl.cpp \
						statusmanager.cpp \
						volumecontroller.cpp \
						controlinterface.cpp controlwidgetimpl.cpp controlwidget.ui \
						channelstoreiface.skel kdetvpluginbase.cpp \
						kdetvchannelplugin.cpp

libkdetv_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -no-undefined
libkdetv_la_LIBADD = kdetvvideo/libkdetvvideo.la $(LIB_KDECORE) $(LIB_KDEUI) $(KDETV_LIBS) $(LIB_KIO) $(LIB_LIRC_KDETV)

# General
INTERFACES   = 
TRANSLATIONS = 
METASOURCES  =	AUTO

# set the include path for X, qt and KDE
INCLUDES= $(all_includes)

.PHONY:	srcdoc

srcdoc:
	$(kde_bindir)/kdoc -d classdocs -n 'kdetv' -lqt -ldcop -lkdecore -lkdeui *.h

services_DATA = kdetvvideopluginsvc.desktop kdetvchannelpluginsvc.desktop kdetvmixerpluginsvc.desktop kdetvfilterpluginsvc.desktop \
				kdetvplugin.desktop kdetvosdpluginsvc.desktop kdetvmiscpluginsvc.desktop kdetvvbipluginsvc.desktop kdetvpostprocesspluginsvc.desktop
servicesdir = $(kde_servicetypesdir)/kdetv
